15.5 Migration with Secure Oracle Connections

book

Article ID: 184494

calendar_today

Updated On:

Products

Data Loss Prevention Enforce

Issue/Introduction

Data Loss Prevention (DLP)

Upgrading to DLP 15.5 from a version using a secure connection to Oracle, but the migrator does not complete the "CompileDbPackages" step of the migration utility.

Failed to execute migration actions. Please refer to the log file for details 
com.symantec.dlp.migrationcommon.MigrationException: Failed to run migration action "CompileDbPackages"

Cause

The migration utility does not currently handle Oracle secure connections. 

Environment

Upgrading from a previous version to Data Loss Prevention 15.5

Resolution

The 15.5 upgrade process installs the new version of DLP on top of the previous version. To work around this issue, please ensure the following:

  • Confirm that unsecure connections are accepted by Oracle.
  • Modify the jdbc.properties file from the previous install directory and remove the 'SSL_SERVER_CERT_DN' information from the connection string.
  • Run the migration utility again, and it should proceed past the "CompileDbPackages" step.

Once the migration utility has completed, the jdbc.properties file can be modified again to add the 'SSL_SERVER_CERT_DN' string back in place.